<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: Nu-LB-Mini51/inc/eeprom_24lc64.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_2257da8f9ae81bafff8ef39204f6b7df.html">Nu-LB-Mini51</a></li><li class="navelem"><a class="el" href="../../dir_fb1ccf00aaf7e34f2c293a38601d8f12.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">eeprom_24lc64.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>MINI51 series 24LC64 EEPROM library header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/d69/eeprom__24lc64_8h__dep__incl.png" border="0" usemap="#a_nu-_l_b-_mini51_2inc_2eeprom__24lc64_8hdep" alt=""/></div>
<map name="a_nu-_l_b-_mini51_2inc_2eeprom__24lc64_8hdep" id="a_nu-_l_b-_mini51_2inc_2eeprom__24lc64_8hdep">
<area shape="rect" title="MINI51 series 24LC64 EEPROM library header file." alt="" coords="6,5,174,47"/>
<area shape="rect" href="../../d7/d23/eeprom__24lc64_8c.html" title="MINI51 series 24LC64 EEPROM library header file." alt="" coords="5,95,175,136"/>
</map>
</div>
</div>
<p><a href="../../d3/d87/eeprom__24lc64_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9b96be87feb3d06051077ffd4c53f38d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d87/eeprom__24lc64_8h.html#a9b96be87feb3d06051077ffd4c53f38d">EEPROM_Init</a> (void)</td></tr>
<tr class="memdesc:a9b96be87feb3d06051077ffd4c53f38d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open I2C interface to access EEPROM.  <a href="../../d3/d87/eeprom__24lc64_8h.html#a9b96be87feb3d06051077ffd4c53f38d">More...</a><br /></td></tr>
<tr class="separator:a9b96be87feb3d06051077ffd4c53f38d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae25d33f86c3675a48d01ac3e2d7bd6a3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d87/eeprom__24lc64_8h.html#ae25d33f86c3675a48d01ac3e2d7bd6a3">EEPROM_Write</a> (uint32_t address, uint8_t data)</td></tr>
<tr class="memdesc:ae25d33f86c3675a48d01ac3e2d7bd6a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write data to EEPROM.  <a href="../../d3/d87/eeprom__24lc64_8h.html#ae25d33f86c3675a48d01ac3e2d7bd6a3">More...</a><br /></td></tr>
<tr class="separator:ae25d33f86c3675a48d01ac3e2d7bd6a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63e897ed818c6d3080c30797893c5e12"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d87/eeprom__24lc64_8h.html#a63e897ed818c6d3080c30797893c5e12">EEPROM_Read</a> (uint32_t address)</td></tr>
<tr class="memdesc:a63e897ed818c6d3080c30797893c5e12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read data from EEPROM.  <a href="../../d3/d87/eeprom__24lc64_8h.html#a63e897ed818c6d3080c30797893c5e12">More...</a><br /></td></tr>
<tr class="separator:a63e897ed818c6d3080c30797893c5e12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdf89fa6b6cdcaa0e25aa4d246901d56"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d87/eeprom__24lc64_8h.html#afdf89fa6b6cdcaa0e25aa4d246901d56">EEPROM_PageWrite</a> (uint32_t u32Addr, uint8_t *pu8Buf)</td></tr>
<tr class="memdesc:afdf89fa6b6cdcaa0e25aa4d246901d56"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write page data to EEPROM.  <a href="../../d3/d87/eeprom__24lc64_8h.html#afdf89fa6b6cdcaa0e25aa4d246901d56">More...</a><br /></td></tr>
<tr class="separator:afdf89fa6b6cdcaa0e25aa4d246901d56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0aed67cf953dd76d5a90fa35db52ec8f"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d87/eeprom__24lc64_8h.html#a0aed67cf953dd76d5a90fa35db52ec8f">EEPROM_SequentialRead</a> (uint32_t u32Addr, uint8_t *pu8Buf, uint32_t u32Size)</td></tr>
<tr class="memdesc:a0aed67cf953dd76d5a90fa35db52ec8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read data from EEPROM using sequential read method.  <a href="../../d3/d87/eeprom__24lc64_8h.html#a0aed67cf953dd76d5a90fa35db52ec8f">More...</a><br /></td></tr>
<tr class="separator:a0aed67cf953dd76d5a90fa35db52ec8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >MINI51 series 24LC64 EEPROM library header file. </p>
<dl class="section version"><dt>Version</dt><dd>V0.10 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>2 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>13/09/30 6:48p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d3/d87/eeprom__24lc64_8h_source.html">eeprom_24lc64.h</a>.</p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a9b96be87feb3d06051077ffd4c53f38d" name="a9b96be87feb3d06051077ffd4c53f38d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b96be87feb3d06051077ffd4c53f38d">&#9670;&nbsp;</a></span>EEPROM_Init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void EEPROM_Init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Open I2C interface to access EEPROM. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d23/eeprom__24lc64_8c_source.html#l00025">25</a> of file <a class="el" href="../../d7/d23/eeprom__24lc64_8c_source.html">eeprom_24lc64.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d87/eeprom__24lc64_8h_a9b96be87feb3d06051077ffd4c53f38d_cgraph.png" border="0" usemap="#ad3/d87/eeprom__24lc64_8h_a9b96be87feb3d06051077ffd4c53f38d_cgraph" alt=""/></div>
<map name="ad3/d87/eeprom__24lc64_8h_a9b96be87feb3d06051077ffd4c53f38d_cgraph" id="ad3/d87/eeprom__24lc64_8h_a9b96be87feb3d06051077ffd4c53f38d_cgraph">
<area shape="rect" title="Open I2C interface to access EEPROM." alt="" coords="5,5,108,32"/>
<area shape="rect" href="../../d7/da2/group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309" title="This function make I2C module be ready and set the wanted bus clock." alt="" coords="156,5,235,32"/>
</map>
</div>

</div>
</div>
<a id="afdf89fa6b6cdcaa0e25aa4d246901d56" name="afdf89fa6b6cdcaa0e25aa4d246901d56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdf89fa6b6cdcaa0e25aa4d246901d56">&#9670;&nbsp;</a></span>EEPROM_PageWrite()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void EEPROM_PageWrite </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>pu8Buf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write page data to EEPROM. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32Addr</td><td>Address for reading </td></tr>
    <tr><td class="paramname">pu8Buf</td><td>The pointer of buffer that data will be written. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d23/eeprom__24lc64_8c_source.html#l00396">396</a> of file <a class="el" href="../../d7/d23/eeprom__24lc64_8c_source.html">eeprom_24lc64.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d87/eeprom__24lc64_8h_afdf89fa6b6cdcaa0e25aa4d246901d56_cgraph.png" border="0" usemap="#ad3/d87/eeprom__24lc64_8h_afdf89fa6b6cdcaa0e25aa4d246901d56_cgraph" alt=""/></div>
<map name="ad3/d87/eeprom__24lc64_8h_afdf89fa6b6cdcaa0e25aa4d246901d56_cgraph" id="ad3/d87/eeprom__24lc64_8h_afdf89fa6b6cdcaa0e25aa4d246901d56_cgraph">
<area shape="rect" title="Write page data to EEPROM." alt="" coords="5,31,152,57"/>
<area shape="rect" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2" title="This function execute delay function." alt="" coords="200,5,335,32"/>
<area shape="rect" href="../../d7/da2/group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e50c1443a4da54159a8bb2faed18b5f" title="This macro will return when I2C module is ready." alt="" coords="201,56,333,83"/>
</map>
</div>

</div>
</div>
<a id="a63e897ed818c6d3080c30797893c5e12" name="a63e897ed818c6d3080c30797893c5e12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63e897ed818c6d3080c30797893c5e12">&#9670;&nbsp;</a></span>EEPROM_Read()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t EEPROM_Read </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Addr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read data from EEPROM. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32Addr</td><td>Address for reading </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Data </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d23/eeprom__24lc64_8c_source.html#l00137">137</a> of file <a class="el" href="../../d7/d23/eeprom__24lc64_8c_source.html">eeprom_24lc64.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d87/eeprom__24lc64_8h_a63e897ed818c6d3080c30797893c5e12_cgraph.png" border="0" usemap="#ad3/d87/eeprom__24lc64_8h_a63e897ed818c6d3080c30797893c5e12_cgraph" alt=""/></div>
<map name="ad3/d87/eeprom__24lc64_8h_a63e897ed818c6d3080c30797893c5e12_cgraph" id="ad3/d87/eeprom__24lc64_8h_a63e897ed818c6d3080c30797893c5e12_cgraph">
<area shape="rect" title="Read data from EEPROM." alt="" coords="5,31,121,57"/>
<area shape="rect" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2" title="This function execute delay function." alt="" coords="169,5,304,32"/>
<area shape="rect" href="../../d7/da2/group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e50c1443a4da54159a8bb2faed18b5f" title="This macro will return when I2C module is ready." alt="" coords="171,56,303,83"/>
</map>
</div>

</div>
</div>
<a id="a0aed67cf953dd76d5a90fa35db52ec8f" name="a0aed67cf953dd76d5a90fa35db52ec8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0aed67cf953dd76d5a90fa35db52ec8f">&#9670;&nbsp;</a></span>EEPROM_SequentialRead()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t EEPROM_SequentialRead </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>pu8Buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read data from EEPROM using sequential read method. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32Addr</td><td>Address for reading </td></tr>
    <tr><td class="paramname">pu8Buf</td><td>The pointer of buffer that data will be put. </td></tr>
    <tr><td class="paramname">u32Size</td><td>Read size </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Actual size that read from EEPROM </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d23/eeprom__24lc64_8c_source.html#l00269">269</a> of file <a class="el" href="../../d7/d23/eeprom__24lc64_8c_source.html">eeprom_24lc64.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d87/eeprom__24lc64_8h_a0aed67cf953dd76d5a90fa35db52ec8f_cgraph.png" border="0" usemap="#ad3/d87/eeprom__24lc64_8h_a0aed67cf953dd76d5a90fa35db52ec8f_cgraph" alt=""/></div>
<map name="ad3/d87/eeprom__24lc64_8h_a0aed67cf953dd76d5a90fa35db52ec8f_cgraph" id="ad3/d87/eeprom__24lc64_8h_a0aed67cf953dd76d5a90fa35db52ec8f_cgraph">
<area shape="rect" title="Read data from EEPROM using sequential read method." alt="" coords="5,31,183,57"/>
<area shape="rect" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2" title="This function execute delay function." alt="" coords="231,5,365,32"/>
<area shape="rect" href="../../d7/da2/group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e50c1443a4da54159a8bb2faed18b5f" title="This macro will return when I2C module is ready." alt="" coords="232,56,364,83"/>
</map>
</div>

</div>
</div>
<a id="ae25d33f86c3675a48d01ac3e2d7bd6a3" name="ae25d33f86c3675a48d01ac3e2d7bd6a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae25d33f86c3675a48d01ac3e2d7bd6a3">&#9670;&nbsp;</a></span>EEPROM_Write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void EEPROM_Write </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write data to EEPROM. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32Addr</td><td>Address for writing </td></tr>
    <tr><td class="paramname">u8Data</td><td>Data for writing </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d7/d23/eeprom__24lc64_8c_source.html#l00037">37</a> of file <a class="el" href="../../d7/d23/eeprom__24lc64_8c_source.html">eeprom_24lc64.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d87/eeprom__24lc64_8h_ae25d33f86c3675a48d01ac3e2d7bd6a3_cgraph.png" border="0" usemap="#ad3/d87/eeprom__24lc64_8h_ae25d33f86c3675a48d01ac3e2d7bd6a3_cgraph" alt=""/></div>
<map name="ad3/d87/eeprom__24lc64_8h_ae25d33f86c3675a48d01ac3e2d7bd6a3_cgraph" id="ad3/d87/eeprom__24lc64_8h_ae25d33f86c3675a48d01ac3e2d7bd6a3_cgraph">
<area shape="rect" title="Write data to EEPROM." alt="" coords="5,31,123,57"/>
<area shape="rect" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2" title="This function execute delay function." alt="" coords="171,5,305,32"/>
<area shape="rect" href="../../d7/da2/group___m_i_n_i51___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e50c1443a4da54159a8bb2faed18b5f" title="This macro will return when I2C module is ready." alt="" coords="172,56,304,83"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
